package net.yaoyi.gulop.member.auth.constant.enums.type;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code UmsType}
 * <p>
 * 会员模块类型
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022/03/20 21:06
 */
public class UmsType {

    /**
     * 身份信息类型
     */
    @Getter
    @AllArgsConstructor
    public enum IdentificationType {
        PASSPORT("PASSWORD", 0, "护照"),
        ID_CARD("ID_CARD", 1, "身份证");

        @EnumValue
        private final String type;

        private final int code;

        private final String description;
    }
}
