package net.yaoyi.gulop.member.auth.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("ums_ext_api_his")
public class UmsExtApiHis {

    @TableId(type = IdType.AUTO)
    private Long id;

    private String extId;

    private Long userId;

    private String apiName;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject requestData;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject responseData;

    private Integer status;

    private LocalDateTime createTime;

    // 省略getter/setter方法
    // 实际开发中请使用lombok或手动添加
}