package net.yaoyi.gulop.member.auth.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import jakarta.persistence.Temporal;
import jakarta.persistence.TemporalType;
import lombok.Data;

import java.util.Date;

@Data
@TableName("ums_ext_config")
public class UmsExtConfig  extends Model<UmsExtConfig>{

    @TableId(type = IdType.AUTO)
    private Long id;

    private String extId;

    private String extName;

    private String extStatusConfig;

    private String extKey;

    private String extSecret;

    private Long createBy;

    @Temporal(TemporalType.TIMESTAMP)
    private Date createTime;

    private Long updateBy;

    @Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;

    private Integer delFlag = 0;

    private Integer lockFlag = 0;

}