package net.yaoyi.gulop.member.auth.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.yaoyi.gulop.member.auth.entity.UmsExtConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface UmsExtConfigMapper extends BaseMapper<UmsExtConfig> {

    /**
     * 查询配置
     * author admin@fyang.vip
     * @param ext_name
     * @return
     */
    @Select("SELECT * FROM ums_ext_config WHERE ext_name= #{ext_name} LIMIT  1")
    UmsExtConfig findByName(@Param("ext_name") String ext_name);
}
