package net.yaoyi.gulop.member.auth.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import net.yaoyi.gulop.member.auth.entity.UmsExtApiHis;
import net.yaoyi.gulop.member.auth.mapper.UmsExtApiHisMapper;
import net.yaoyi.gulop.member.auth.service.UmsExtApiHisService;
import org.springframework.stereotype.Service;

@Service
public class UmsExtApiHisServiceImpl extends ServiceImpl<UmsExtApiHisMapper, UmsExtApiHis> implements UmsExtApiHisService {


    @Override
    public boolean addApiHistory(UmsExtApiHis apiHis) {
        return this.save(apiHis);
    }




    public Long apiHistoryBefore(String extId, Long userId, String apiName, JSONObject requestData){

        Object parse = JSONObject.parse(requestData.toString());
        UmsExtApiHis apiHis = new UmsExtApiHis();
        apiHis.setUserId(userId);
        apiHis.setExtId(extId);
        apiHis.setApiName(apiName);
        apiHis.setRequestData((JSONObject) JSONObject.toJSON(parse));
        apiHis.setStatus(0);
        this.save(apiHis);
        return apiHis.getId();
    }




    public boolean apiHistoryAfter(Long apiHistoryId, int status, JSONObject responseData){

        UmsExtApiHis apiHis = new UmsExtApiHis();
        apiHis.setId(apiHistoryId);
        apiHis.setResponseData(responseData);
        apiHis.setStatus(status);

        return this.updateById(apiHis);
    }


}