package net.yaoyi.gulop.member.auth.api;

/**
 * {@code IErrorCode}
 * <p>
 * 常用API返回对象接口
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022/03/18 11:05
 */
public interface IErrorCode {

    /**
     * 返回状态码
     *
     * @return 状态码
     */
    Integer getCode();


    /**
     * 返回状态信息
     *
     * @return 状态信息
     */
    String getMessage();
}
