/*
 *
 *      Copyright (c) 2018-2025, gulop All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the pig4cloud.com developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: gulop
 *
 */

package net.yaoyi.gulop.member.auth.constant;

/**
 * @author gulop
 * @date 2018年06月22日16:41:01 服务名称
 */
public interface ServiceNameConstants {

    /**
     * 认证中心
     */
    String AUTH_SERVICE = "gulop-auth";

    /**
     * UMPS模块
     */
    String UPMS_SERVICE = "gulop-upms-biz";

    /**
     * 收银台服务
     */
    String CHECKOUT_SERVICE = "gulop-checkout-biz";

    /**
     * 分布式事务协调服务
     */
    String TX_MANAGER = "gulop-tx-manager";

    /**
     * 零工服务
     */
    String GIG_SERVICE = "gulop-gig-biz";

    /**
     * 会员服务
     */
    String MEMBER_SERVICE = "gulop-member-biz";

    /**
     * 内容管理服务
     */
    String CMS_SERVICE = "gulop-joomla-biz";

    /**
     * 项目中心服务
     */
    String PROJCENTER_SERVICE = "gulop-projcenter-biz";

    /**
     * CSO任意门
     */
    String ANYWHERE_SERVICE = "gulop-anywhere-biz";

}
