package net.yaoyi.gulop.member.auth.constant.enums.level;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code UpmsLevel}
 * <p>
 * upms等级类
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/12/06 15:18
 */
public final class UpmsLevel {

    // 套餐包等级
    @Getter
    @AllArgsConstructor
    public enum BundleLevel {

        STARTER(0, "入门版"),
        BASIC(1, "基础版"),
        PREMIUM(2, "高级版"),
        PROFESSIONAL(3, "专业版"),
        ENTERPRISE(4, "企业版"),
        ULTIMATE(5, "旗舰版"),
        CUSTOM(9, "自定义");


        @EnumValue
        private final int level;

        private final String message;
    }
}
