package net.yaoyi.gulop.member.auth.constant.enums.state;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code CmsStatus}
 * <p>
 * 模块状态枚举
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022/03/20 21:06
 */
public class CmsStatus {

    /**
     * 发布状态
     */
    @Getter
    @AllArgsConstructor
    public enum PublishStatus {

        // 发布状态
        NEW_ONE(0, "新建"),
        LAUNCHED(1, "上架"),
        SOLD_OUT(2, "下架");

        @EnumValue
        private final int status;

        private final String message;
    }
}
