package net.yaoyi.gulop.member.auth.constant.enums.state;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code StatusConstants}
 * <p>
 * 状态枚举常量类
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/09/07 18:26:00
 */
@Getter
public final class CommonStatus {

    //  状态枚举
    @Getter
    @AllArgsConstructor
    public enum Condition {

        VALID(1, "有效"),
        INVALID(2, "无效");

        @EnumValue
        private final int status;

        private final String message;
    }
}
