package net.yaoyi.gulop.member.auth.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Pattern;
import lombok.Data;

@Data
public class ThreeElementAuthDTO {
    @NotBlank(message = "姓名不能为空")
    private String realname;

    @NotNull(message = "身份证反面照不能为空")
    private String back;

    @NotNull(message = "身份证反面照不能为空")
    private String front;

    @NotBlank(message = "性别不能为空")
    private String sex;

    @NotBlank(message = "性别不能为空")
    private String nation;

    @NotBlank(message = "生日不能为空")
    private String born;

    @NotBlank(message = "籍贯不能为空")
    private String address;

    @NotBlank(message = "身份证号码不能为空")
    private String idcard;

    @NotBlank(message = "生效日期不能为空")
    private String begin;

    @NotBlank(message = "截止日期不能为空")
    private String end;

    @NotBlank(message = "发放机关不能为空")
    private String department;

    private String serialNo;
    private String captcha;


}