package net.yaoyi.gulop.member.auth.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.yaoyi.gulop.member.auth.entity.SmartContract;
import net.yaoyi.gulop.member.auth.entity.UserAgreementRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

@Mapper
public interface SmartContractMapper extends BaseMapper<SmartContract> {


    @Select("SELECT * FROM smart_contract " +
            "WHERE config_id = #{configId} and user_id = #{userId} LIMIT 1")
    SmartContract getSignAgreementByConfig(Long configId,Long userId);


    @Select("SELECT * FROM smart_contract " +
            "WHERE contract_id = #{contractId} and user_id = #{userId} LIMIT 1")
    SmartContract getSignAgreementById(Long contractId,Long userId);
}
