package net.yaoyi.gulop.member.auth.vo;

import lombok.Data;

@Data
public class SignItemVO {
    /** 配置ID（对应gig_config.config_id） */
    private Long configId;

    /** 结算主体名称（对应gig_config.subject_name） */
    private String subjectName;

    /** 主体类型（对应gig_config.subject_type） */
    private Integer subjectType;

    /** 端类型（对应gig_config.end_type） */
    private String endType;

    /** 协议类型（对应gig_config.protocol） */
    private String protocol;

    /** 签约状态（true=已签约，false=未签约） */
    private boolean signed;

    /** 需要签约标记（对应gig_config.is_sign） */
    private boolean needSign;

}